Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util.mail
Class XSLTHandler

    java.lang.Object
      com.novell.nds.dirxml.util.mail.XSLTHandler

All Implemented Interfaces:
  ErrorHandler, MessageHandler

    public class XSLTHandler

extends Object
implements ErrorHandler, MessageHandler

Class implementing XSLT interfaces ErrorHandler and MessageHandler to provide better integration with trace, etc.

Constructor Summary
`XSLTHandler()` Construct an instance without a Trace object.

Method Summary
`void` | `error(String message)` Receive notification of an XSL error.
`int` | `getErrorCount()` Returns the number of errors that have occurred so far.
`int` | `getWarningCount()` Returns the number of warnings that have occurred so far.
`String[]` | `getWarnings()` Return any warning messages generated during stylesheet processing.
`void` | `message(Node message)` Receive notification of an XSLT message
`void` | `resetCounts()` Resets the number of errors and warnings to zero.
`void` | `warning(String message)` Receive notification of an XSL warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTHandler

    public XSLTHandler()

  Construct an instance without a Trace object.

Method Detail

### getErrorCount

    public int getErrorCount()

  Returns the number of errors that have occurred so far.

  Specified by:
    `getErrorCount` in interface `ErrorHandler`
  Returns:
    the number of errors

### getWarningCount

    public int getWarningCount()

  Returns the number of warnings that have occurred so far.

  Specified by:
    `getWarningCount` in interface `ErrorHandler`
  Returns:
    the number of warnings

### resetCounts

    public void resetCounts()

  Resets the number of errors and warnings to zero.

  Specified by:
    `resetCounts` in interface `ErrorHandler`

### error

    public void error(String message)
               throws XSLException

  Receive notification of an XSL error.

  If this method returns normally, the XSL processor will do its best to recover and continue processing. The result document may be incomplete or even empty.

  If this method throws an exception, the error is fatal and the XSL processor will abort processing and propagate the exception.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `message` - the error message
  Throws:
    `XSLException` - if the error is fatal

### warning

    public void warning(String message)

  Receive notification of an XSL warning. Note that this method does not throw an `XSLException` since warnings are never fatal.

  Specified by:
    `warning` in interface `ErrorHandler`
  Parameters:
    `message` - the warning message

### getWarnings

    public String[] getWarnings()

  Return any warning messages generated during stylesheet processing.

### message

    public void message(Node message)

  Receive notification of an XSLT message

  Specified by:
    `message` in interface `MessageHandler`
  Parameters:
    `message` - the message an XML fragment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD